Bug Hunting Session
Bug 106611 - EDITING: click on status bar does not change the overwrite mode
Summary: EDITING: click on status bar does not change the overwrite mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2017-03-18 00:11 UTC by Gilward Kukel
Modified: 2018-02-14 15:59 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gilward Kukel 2017-03-18 00:11:38 UTC
Description:
When you are editing a cell, you can change the overwrite mode by pressing the Insert key but not by clicking on the fourth area from the left on the status bar. Its tooltip says "Insert mode. Click to change to overwrite mode".

Steps to Reproduce:
1. edit a cell
2. click on the fourth area from the left on the status bar

Actual Results:  
nothing happens

Expected Results:
it should change the overwrite mode


Reproducible: Always

User Profile Reset: No

Additional Info:
It works in Writer.


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 V Stuart Foote 2017-03-18 00:55:33 UTC
Confirmed on Windows 10 Pro 64-bit en-US with
Version: 5.3.1.2 (x64)
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

For any cell, with edit cursor focus moved into the Input Line dialog--the Status bar Insert/Overwrite mode does not toggle with mouse click (single or double) or context menu action.

But the Insert key does toggle the edit mode and its entry on the status bar.
Comment 2 Yousuf Philips (jay) (retired) 2017-03-23 08:44:21 UTC
Works correctly in 3.5 and is partially broken in 3.6 (you can click to disable overwrite mode) when the statusbar fields were changed and is fully not functional in 4.4.
Comment 3 Jim Raykowski 2018-01-03 05:16:45 UTC
Hi All,

I've been looking at status bar bugs and was able to come up with a patch for this one. 

https://gerrit.libreoffice.org/#/c/47290/
Comment 4 Commit Notification 2018-01-13 10:07:55 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4393ca834641599281c8feb4259228b90cb4499b

tdf#106611 make click on status bar insert/overwrite field work

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-02-14 09:41:06 UTC
A polite ping to Jim Raykowski: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks